Package svnmailer :: Module stream :: Class DevNullStream

[hide private]

# Class DevNullStream

source code

     object --+
              |
    _BaseStream --+
                  |
                 DevNullStream

Dummy stream, which throws away all data

Instance Methods | [hide private]

__init__(self) Initialization | source code

write(self, towrite) throw away stuff | source code

writelines(self, lines) throw away stuff | source code

Inherited from `_BaseStream`: `__getattr__`, `close` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Instance Variables | [hide private]

Inherited from `_BaseStream`: `stream`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self)
(Constructor)

source code

Initialization

Parameters:
  - `stream` - The stream to wrap
Overrides: object.__init__

### write(self, towrite)

source code

throw away stuff

Parameters:
  - `towrite` - stuff to write
Overrides: _BaseStream.write

### writelines(self, lines)

source code

throw away stuff

Parameters:
  - `lines` - The lines to write (including \n)
Overrides: _BaseStream.writelines